Package com.datecs.fiscalprinter.SDK.model.UserLayerV1

# Enum cmdReceipt.FiscalReceipt.Storno.StornoType

java.lang.Object
java.lang.Enum<cmdReceipt.FiscalReceipt.Storno.StornoType>
com.datecs.fiscalprinter.SDK.model.UserLayerV1.cmdReceipt.FiscalReceipt.Storno.StornoType

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<cmdReceipt.FiscalReceipt.Storno.StornoType>`, `java.lang.constant.Constable`

Enclosing class:
  cmdReceipt.FiscalReceipt.Storno

    public static enum cmdReceipt.FiscalReceipt.Storno.StornoType
    extends java.lang.Enum<cmdReceipt.FiscalReceipt.Storno.StornoType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant | Description
  --- | ---
  `LowTAX` |
  `OperatorMistake` |
  `ReturnedItem` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static cmdReceipt.FiscalReceipt.Storno.StornoType` | `fromOrdinal​(int n)` |
  `java.lang.String` | `getId()` |
  `static cmdReceipt.FiscalReceipt.Storno.StornoType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
  `static cmdReceipt.FiscalReceipt.Storno.StornoType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### OperatorMistake

    public static final cmdReceipt.FiscalReceipt.Storno.StornoType OperatorMistake

  - ### ReturnedItem

    public static final cmdReceipt.FiscalReceipt.Storno.StornoType ReturnedItem

  - ### LowTAX

    public static final cmdReceipt.FiscalReceipt.Storno.StornoType LowTAX

- ## Method Details

  - ### values

    public static cmdReceipt.FiscalReceipt.Storno.StornoType[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static cmdReceipt.FiscalReceipt.Storno.StornoType valueOf​(java.lang.String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
      `java.lang.NullPointerException` - if the argument is null

  - ### getId

    public java.lang.String getId()

  - ### fromOrdinal

    public static cmdReceipt.FiscalReceipt.Storno.StornoType fromOrdinal​(int n)